org.richfaces.renderkit

## Class ComponentControlBehaviorRenderer

- java.lang.Object
- - javax.faces.render.ClientBehaviorRenderer
  - - org.richfaces.renderkit.ComponentControlBehaviorRenderer

-     public class ComponentControlBehaviorRenderer
      extends javax.faces.render.ClientBehaviorRenderer

  Author:
    Anton Belevich

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentControlBehaviorRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<Object>` | `createSignature(ComponentControlBehavior behavior)`
    `String` | `getScript(javax.faces.component.behavior.ClientBehaviorContext behaviorContext, javax.faces.component.behavior.ClientBehavior behavior)`
    `protected String[]` | `resolveTargets(javax.faces.context.FacesContext context, String targetSourceString)`

    - ### Methods inherited from class javax.faces.render.ClientBehaviorRenderer

      `decode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentControlBehaviorRenderer

          public ComponentControlBehaviorRenderer()

  - ### Method Detail

    - #### getScript

          public String getScript(javax.faces.component.behavior.ClientBehaviorContext behaviorContext,
                                  javax.faces.component.behavior.ClientBehavior behavior)

      Overrides:
        `getScript` in class `javax.faces.render.ClientBehaviorRenderer`

    - #### createSignature

          protected List<Object> createSignature(ComponentControlBehavior behavior)

    - #### resolveTargets

          protected String[] resolveTargets(javax.faces.context.FacesContext context,
                                            String targetSourceString)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.